Package com.collibra.dgc.core.api.model.assignment

# Interface AssignedRelationType

All Superinterfaces:
  `AssignedCharacteristicType`, `Entity`, `Serializable`

@Deprecated(since="2025.04", forRemoval=true) public interface AssignedRelationType extends AssignedCharacteristicType
Deprecated, for removal: This API element is subject to removal in a future version.
Deprecated in favour of `AssignedCharacteristicTypeReference`
Represents an assigned relation type

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RelationType`
  `getRelationType()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Returns the relation type to be assigned.
  `NamedResourceReference`
  `getRestriction()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Returns the restriction on the target asset type of the relation type.
  `RelationTypeDirection`
  `getRoleDirection()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Returns the direction of the relation type.

  ### Methods inherited from interface AssignedCharacteristicType

  `getAssignedCharacteristicTypeDiscriminator, getAssignedResourceId, getAssignedResourceType, getMaximumOccurrences, getMinimumOccurrences, isReadOnly, isSystem`

  ### Methods inherited from interface Entity

  `getId, setId`

- ## Method Details

  - ### getRoleDirection

    RelationTypeDirection getRoleDirection()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Returns the direction of the relation type.
    Returns:
      the direction of the relation type

  - ### getRelationType

    RelationType getRelationType()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Returns the relation type to be assigned.
    Returns:
      the relation type to be assigned

  - ### getRestriction

    NamedResourceReference getRestriction()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Returns the restriction on the target asset type of the relation type.
    Returns:
      the restriction on the target asset type of the relation type